unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, StdCtrls, Math;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Button1: TButton;
    StringGrid1: TStringGrid;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Button2: TButton;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var tab:array[0..9] of double;
       i:integer;
       a: single;
begin
  //wyświetlenie pierwiastka trzeciego stopnia z liczby 0,008
  Label1.Caption:='Pierwiastek sześcienny z 0.008='+FloattoStr(Power(0.008,1/3));
  //wypełnienie tabeli liczbami
  for i:=0 to 9 do
  begin
     a:= Random(10);  //lub liczby losowe rzeczywiste 100*Random;
     tab[i]:=a;  //wpisanie liczby do tablicy
     Stringgrid1.Cells[i,1]:=Floattostr(a);  //wpisanie liczby do tabeli
   end;
   //wyświetlenie największej liczby z tabeli
   label2.Caption:='Max liczba z tabeli='+FloattoStr(MaxValue(tab));
   //wyświetlenie średniej liczb z tabeli
   label3.Caption:='Średnia liczb z tabeli='+FloattoStr(Mean(tab));
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Label6.Caption:=FloatToStr( Payment(0.1/12, 36, 30000, 0, ptEndOfPeriod));
end;

end.
